Skip to main content
POST
/
api
/
import
/
huggingface
Import From Huggingface
curl --request POST \
  --url https://api.example.com/api/import/huggingface \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dataset_id": "<string>",
  "token": "<string>",
  "image_specificity": "fine",
  "convert_tables": true,
  "project_id": "<string>",
  "dataset_name": "<string>",
  "branch_name": "<string>",
  "target_dataset_id": "<string>",
  "mode": "replace"
}
'
{
  "job_id": "<string>",
  "status": "<string>",
  "dataset_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Cookies

antidote_session
string | null

Body

application/json
dataset_id
string
required

Hugging Face dataset ID (owner/name)

token
string | null

Optional Hugging Face read token for gated datasets.

Maximum string length: 256
image_specificity
enum<string>
default:fine

Fine for medical imaging specificity, broad for general imaging.

Available options:
fine,
broad
convert_tables
boolean
default:true

Convert Parquet/Arrow table datasets into raw files when needed.

project_id
string | null

Optional project UUID to attach the imported dataset to.

dataset_name
string | null

Optional display name for the dataset folder.

Maximum string length: 120
branch_name
string | null

Optional initial branch name for the created dataset.

Maximum string length: 255
target_dataset_id
string | null

Optional existing dataset UUID to append/replace data instead of creating a new dataset.

mode
enum<string>
default:replace

When target_dataset_id is provided, either append into existing data or replace it.

Available options:
append,
replace

Response

Successful Response

job_id
string
required
status
string
required
dataset_id
string | null